#<profile4xi profile = "12" />
# =================================================================================================
#<program4xi program = "yskeleton4xi.py">
#<abstract4xi abstract = "offers functions and class starting with y/Y"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# =================================================================================================

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'YSkeleton4Xi',
            'init_yskeleton4xi'
            'set_yskeleton4xi'
            'get_yskeleton4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

from decimal import *
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from time4xi import time4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
# None
#"
#/>
 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-yskeleton4xi" usage = "
# initializes yskeleton4xi objects
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def init_yskeleton4xi(y_init_param1 = None): 
    '''
    init_yskeleton4xi initializes yskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "init_yskeleton4xi"
    method2print = "init_yskeleton4xi"

    message2print = "{(Step 1/3a) started" + "; init-yskeleton4xi-started: " + str(init_yskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{(Step 1/3b) passed" + "; y-init-param1-passed-to-init-yskeleton4xi: " + str(y_init_param1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    y2xi = y_init_param1            
    
    message2print = "{(Step 2/3) initialized" + "; y2xi-initialized-by-init-yskeleton4xi to: " + str(y2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        

    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    message2print = "{(Step 3/3) returning" + "; init-yskeleton4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
        
#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-yskeleton4xi" usage = "
# setializes yskeleton4xi objects
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def set_yskeleton4xi(y_set_param1 = None): 
    '''
    set_yskeleton4xi sets yskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "set_yskeleton4xi"
    method2print = "set_yskeleton4xi"

    message2print = "{(Step 1/3a) started" + "; set-yskeleton4xi-started: " + str(set_yskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{(Step 1/3b) passed" + "; y-set-param1-passed-to-set-yskeleton4xi: " + str(y_set_param1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    y2xi = y_set_param1            
    
    message2print = "{(Step 2/3) initialized" + "; y2xi-initialized-by-set-yskeleton4xi to: " + str(y2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        

    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    message2print = "{(Step 3/3) returning" + "; set-yskeleton4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
        
#</function4xi>
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-yskeleton4xi" usage = "
#   gets yskeleton4xi objects
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def get_yskeleton4xi(): 
    '''
    get_yskeleton4xi gets yskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "get_yskeleton4xi"
    method2print = "get_yskeleton4xi"

    message2print = "{(Step 1/3) started" + "; get-yskeleton4xi-started: " + str(get_yskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        

    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    
    y2xi = "y2xi"
        
    message2print = "{(Step 2/3) got" + "; y2xi-got-by-get-yskeleton4xi: " + str(y2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
                
    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    
    message2print = "{returning" + "; y2xi-returning-by-get-yskeleton4xi: " + str(y2xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)    
                            
    
    return y2xi     
        
#</function4xi>
 
                                               
# =================================================================================================
# YSkeleton4Xi class
#<class4xi class = "YSkeleton4Xi" base = "object" child = "None"
#       synopsis = "offers  methods for yskeleton4xi module" usage = "skeleton for u*4xi.py"
#>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class YSkeleton4Xi(object): 
    ''' 
    YSkeleton4Xi offers  methods for yskeleton4xi module
    '''            

    #                                        
    # ---------------------------------------------------------------------------------------------
    # sharable class variables
    # ---------------------------------------------------------------------------------------------      
    #<share4xi share = " 
    classvariable2y = None
    #"
    #/>
        
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = (
    'init_yskeleton',
    'set_yskeleton',
    'get_yskeleton',    
    'sense',
    'reason',
    'ace')          
    #"
    #/>
 
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-YSkeleton4Xi" usage = "initializes YSkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def __init__(self, y_init_param1 = None):
        '''
        _init__ method initializes YSkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------
                    
        class2print = "YSkeleton4Xi"
        method2print = "__init__"
                     
        message2print = "{(Step 1/3a) started" + "; init-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   

        message2print = "{(Step 1/3b) borning" + "; yskeleton2xi-of-YSkeleton4Xi-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
                
        message2print = "{(Step 1/3c) inheriting" + "; object-inheriting-by-yskeleton2xi-of-YSkeleton4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        message2print = "{(Step 1/3d) sharing" + "; classvariable2y-sharing-by-yskeleton2xi-of-YSkeleton4Xi: " + str(YSkeleton4Xi.classvariable2y)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
                                
        message2print = "{(Step 1/3e) passed" + "; y-init-param1-passed-to-init-of-YSkeleton4Xi: " + str(y_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                          
        
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)             
        # -----------------------------------------------------------------------------------------
        
        message2print = "{(Step 2/3a) passing" + "; y-init-param1-passing-to-init-yskeleton4xi-by-init-of-YSkeleton4Xi: " + str(y_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        
        init_yskeleton4xi(y_init_param1)
        
        message2print = "{(Step 2/3b) performed" + "; init-yskeleton4xi-performed-by-init-of-YSkeleton4Xi: " + str(init_yskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                        
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)             
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 3/3a) activated" + "; yskeleton2xi-of-YSkeleton4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
                
        message2print = "{(Step 3/3b) inherited" + "; object-inherited-by-yskeleton2xi-of-YSkeleton4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        message2print = "{(Step 3/3c) shared" + "; classvariable2y-shared-by-yskeleton2xi-of-YSkeleton4Xi: " + str(YSkeleton4Xi.classvariable2y)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
       
        message2print = "{(Step 3/3d) returning time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-yskeleton-of-YSkeleton4Xi" usage = "initializes objects of YSkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def init_yskeleton(self, y_init_param1 = None):
        '''
        init_yskeleton method initializes objects of YSkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------              
        class2print = "YSkeleton4Xi"
        method2print = "init_yskeleton"
                     
        message2print = "{(Step 1/3a) started" + "; init-yskeleton-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1/3b) passed" + "; y-init-param1-passed-to-init-yskeleton-of-YSkeleton4Xi: " + str(y_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2/3a) passing" + "; y-init-param1-passing-to-init-yskeleton4xi-by-init-yskeleton-of-YSkeleton4Xi: " + str(y_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        init_yskeleton4xi(y_init_param1)

        message2print = "{(Step 2/3b) performed" + "; init-yskeleton4xi-performed-by-init-yskeleton-of-YSkeleton4Xi: " + str(init_yskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 3/3) returning" + "; init-yskeleton-of-YSkeleton4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
                                
                            
    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-yskeleton-of-YSkeleton4Xi" usage = "sets objects of YSkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def set_yskeleton(self, y_set_param1 = None):
        '''
        set_yskeleton method sets objects of YSkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------              
        class2print = "YSkeleton4Xi"
        method2print = "set_yskeleton"
                     
        message2print = "{(Step 1/3a) started" + "; set-yskeleton-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1/3b) passed" + "; y-set-param1-passed-to-set-yskeleton-of-YSkeleton4Xi: " + str(y_set_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2/3a) passing" + "; y-set-param1-passing-to-set-yskeleton4xi-by-set-yskeleton-of-YSkeleton4Xi: " + str(y_set_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        set_yskeleton4xi(y_set_param1)

        message2print = "{(Step 2/3b) performed" + "; set-yskeleton4xi-performed-by-set-yskeleton-of-YSkeleton4Xi: " + str(set_yskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 3/3) returning" + "; set-yskeleton-of-YSkeleton4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
                                
                            
    #</methodize4xi>

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-yskeleton-of-YSkeleton4Xi" usage = "gets objects of YSkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def get_yskeleton(self):
        '''
        get_yskeleton method gets objects of YSkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/2)           
        # -----------------------------------------------------------------------------------------              
        class2print = "YSkeleton4Xi"
        method2print = "get_yskeleton"
                     
        message2print = "{(Step 1/2) started" + "; get-yskeleton-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            

        # -----------------------------------------------------------------------------------------
        # (Step 2/2)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 2/2) returning" + "; get-yskeleton4xi-function-returning-by-get-yskeleton-of-YSkeleton4Xi: " + str(get_yskeleton4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                
        return get_yskeleton4xi()
                                
                            
    #</methodize4xi>                                     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-YSkeleton4Xi" usage = "senses YSkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        method sense: senses YSkeleton4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'YSkeleton4Xi'
        method2print = 'sense'
        
                     
        message2print = "{started" + "; sense-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
    
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        
        message2print = "{sensing" + "; YSkeleton4Xi-sensing-by-sense-of-YSkeleton4Xi: " + str(YSkeleton4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                        
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-YSkeleton4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb2xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['classvariable2y-of-YSkeleton4Xi'] = YSkeleton4Xi.classvariable2y
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-YSkeleton4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            
      
        message2print = "{sensed" + "; YSkeleton4Xi-sensed-by-sense-of-YSkeleton4Xi: " + str(YSkeleton4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-YSkeleton4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-YSkeleton4Xi" usage = "reasons YSkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons YSkeleton4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'YSkeleton4Xi'
        method2print = 'reason'

                     
        message2print = "{started" + "; reason-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{reasoning" + "; YSkeleton4Xi-reasoning-by-reason-of-YSkeleton4Xi: " + str(YSkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-YSkeleton4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        try:
            kb4xi['time-reason-of-YSkeleton4Xi'] = time4xi() #adding time
        except:
            message2print = "{yielded" + "; kb4xi-yielded-by-reason-of-YSkeleton4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
        
          
        
        message2print = "{reasoned" + "; YSkeleton4Xi-reasoned-by-reason-of-YSkeleton4Xi: " + str(YSkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-YSkeleton4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-YSkeleton4Xi" usage = "aces YSkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces YSkeleton4Xi class objects 
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------       
        
        
        class2print = 'YSkeleton4Xi'
        method2print = 'ace'
        
                     
        message2print = "{started" + "; ace-of-YSkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
              
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{acing" + "; YSkeleton4Xi-acing-by-ace-of-YSkeleton4Xi: " + str(YSkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-YSkeleton4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        try:
             kb8xi['time-ace-of-YSkeleton4Xi'] = time4xi()
        except:
             message2print = "{yielded" + "; kb8xi-yielded-by-ace-of-YSkeleton4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
             print4xi(class2print, method2print, message2print) 
  
        message2print = "{aced" + "; YSkeleton4Xi-aced-by-ace-of-YSkeleton4Xi: " + str(YSkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-YSkeleton4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                  
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_yskeleton4xi.txt
#   sense-test-yskeleton4xi.xml
#   reason-test-yskeleton4xi.xml
#   ace-test-yskeleton4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of yskeleton4xi.py                              
# ------------------------------------------------------------------------------------------------- 
#"
#/>
